Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.custom.ui.swt.di.renderer
Class DICustomControlSWT

    java.lang.Object
      org.eclipse.emf.ecp.view.spi.custom.swt.ECPAbstractCustomControlSWT
          org.eclipse.emf.ecp.view.custom.ui.swt.di.renderer.DICustomControlSWT

    public class DICustomControlSWT

extends ECPAbstractCustomControlSWT

`ECPAbstractCustomControlSWT` that will delegate its calls to a POJO.

Author:
  jfaltermeier

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecp.view.spi.custom.swt.ECPAbstractCustomControlSWT
`ECPAbstractCustomControlSWT.SWTCustomControlHelper`

Field Summary

Fields inherited from class org.eclipse.emf.ecp.view.spi.custom.swt.ECPAbstractCustomControlSWT
`ADD_IMAGE, DELETE_IMAGE, HELP_IMAGE, VALIDATION_ERROR_IMAGE`

Method Summary
`SWTGridDescription` | `getGridDescription()` Returns the GridDescription for this Renderer.
`org.eclipse.swt.widgets.Control` | `renderControl(SWTGridCell cell, org.eclipse.swt.widgets.Composite parent)` Renders the control.

Methods inherited from class org.eclipse.emf.ecp.view.spi.custom.swt.ECPAbstractCustomControlSWT
`applyEnable, applyReadOnly, applyValidation, dispose, init`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getGridDescription

    public SWTGridDescription getGridDescription()

  Returns the GridDescription for this Renderer.

  Specified by:
    `getGridDescription` in class `ECPAbstractCustomControlSWT`
  Returns:
    the GridDescription
  See Also:
    `ECPAbstractCustomControlSWT.getGridDescription()`

### renderControl

    public org.eclipse.swt.widgets.Control renderControl(SWTGridCell cell,
                                                         org.eclipse.swt.widgets.Composite parent)
                                                  throws NoRendererFoundException,
                                                         NoPropertyDescriptorFoundExeption

  Renders the control.

  Specified by:
    `renderControl` in class `ECPAbstractCustomControlSWT`
  Parameters:
    `cell` - the `SWTGridCell` of the control to render
    `parent` - the `Composite` to render on
  Returns:
    the rendered `Control`
  Throws:
    `NoRendererFoundException` - this is thrown when a renderer cannot be found
    `NoPropertyDescriptorFoundExeption` - this is thrown when no property descriptor can be found
  See Also:
    `ECPAbstractCustomControlSWT.renderControl(org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell, org.eclipse.swt.widgets.Composite)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.